require("transparent")

vim.g.mapleader = " "

vim.keymap.set("n", "<leader>b", ":lua toggleTransparent()<CR>")

-- nvim-tree bindings

vim.keymap.set("n", "<leader>t", ":NvimTreeToggle<CR>")

vim.keymap.set("n", "<leader>s", ":lua spellToggle()<CR>")

-- toggle spell check
function spellToggle()
    if vim.o.spell == nil or vim.o.spell then
        vim.o.spell = false
    else
        vim.o.spell = true
    end
end

-- markdown preview

vim.keymap.set("n", "<leader>p", ":MarkdownPreviewToggle<CR>")
